package com.thebrokenrail.energonrelics.block;

import com.thebrokenrail.energonrelics.block.entity.CreativeEnergySourceBlockEntity;
import com.thebrokenrail.energonrelics.block.util.energy.EnergyBlock;
import net.fabricmc.fabric.api.object.builder.v1.block.FabricBlockSettings;
import net.minecraft.block.Blocks;
import net.minecraft.block.entity.BlockEntity;
import net.minecraft.block.entity.BlockEntityType;

import java.util.function.Function;

public class CreativeEnergySourceBlock extends EnergyBlock {
    public CreativeEnergySourceBlock() {
        super(FabricBlockSettings.copy(Blocks.BEDROCK).dropsNothing().lightLevel(state -> 12));
    }

    @Override
    protected Function<BlockEntityType<BlockEntity>, BlockEntity> getFactory() {
        return CreativeEnergySourceBlockEntity::new;
    }
}
