package com.thebrokenrail.energonrelics.client.config;

import com.thebrokenrail.energonrelics.EnergonRelics;
import me.sargunvohra.mcmods.autoconfig1u.ConfigData;
import me.sargunvohra.mcmods.autoconfig1u.annotation.Config;
import net.fabricmc.api.EnvType;
import net.fabricmc.api.Environment;

import java.util.Locale;

@Environment(EnvType.CLIENT)
@Config(name = EnergonRelics.NAMESPACE)
public class UserConfig implements ConfigData {
    @SuppressWarnings({"unused", "SpellCheckingInspection"})
    public enum TextureSet {
        TheBrokenRail,
        PoeticRainbow,
        azazelthedemonlord;

        public String namespace() {
            return EnergonRelics.NAMESPACE + '-' + name().toLowerCase(Locale.ROOT);
        }
    }

    @SuppressWarnings("CanBeFinal")
    public TextureSet textureSet = TextureSet.TheBrokenRail;
}
