package com.thebrokenrail.energonrelics.config;

import net.minecraft.item.Item;
import net.minecraft.item.Items;

public class HardcodedConfig {
    public static final int POWER_RANGE = 64;

    public static final int ENERGON_LIGHT_ENERGY_REQUIRED = 5;

    public static final long SOLAR_PANEL_MAX_ENERGY_OUTPUT = 50;

    public static final long BATTERY_CHARGE_RATE = 40;

    public static final int REACTOR_TIME = 2400;
    public static final int REACTOR_ENERGY_OUTPUT = 250;

    public static final int DEFENSIVE_LASER_RANGE = 28;
    public static final long DEFENSIVE_LASER_IDLE_ENERGY_REQUIRED = 32;
    public static final long DEFENSIVE_LASER_FIRE_ENERGY_REQUIRED = 64;

    public static final long BLOCK_BREAKER_ENERGY_REQUIRED_IDLE = 25;
    public static final long BLOCK_BREAKER_ENERGY_REQUIRED_BREAK = 36;
    public static final int BLOCK_BREAKER_TIME = 48;
    public static final Item BLOCK_BREAKER_ITEM = Items.IRON_PICKAXE;

    public static final long LIGHTNING_ROD_ENERGY_OUTPUT = 200000;
    public static final double LIGHTNING_ROD_CHANCE = 0.00008d;
    public static final int LIGHTNING_ROD_COOLDOWN = 240;

    public static final long FIELD_PROJECTOR_ENERGY_REQUIRED = 31;
    public static final int FIELD_MAX_SIZE = 12;

    public static final double TRACTOR_BEAM_MOVEMENT_MULTIPLIER = 0.95d;
    public static final double TRACTOR_BEAM_PULL_FORCE = 0.065d;

    public static final float INDUSTRIAL_LASER_BEAM_DAMAGE = 2.5f;
    public static final long INDUSTRIAL_LASER_ENERGY_REQUIRED = 58;
    public static final int INDUSTRIAL_LASER_BEAM_TIME = 148;
    public static final int INDUSTRIAL_LASER_MIN_INGOTS_FROM_ORE = 1;
    public static final int INDUSTRIAL_LASER_MAX_INGOTS_FROM_ORE = 6;
    public static final int INDUSTRIAL_LASER_INGOTS_FROM_STORAGE = 9;

    public static final long HOLOGRAPHIC_SKY_ENERGY_REQUIRED = 15;

    public static final int INFUSER_TIME = 2200;
}