package com.thebrokenrail.energonrelics.block.battery;

import com.thebrokenrail.energonrelics.block.entity.battery.ActiveBatteryControllerBlockEntity;
import com.thebrokenrail.energonrelics.block.util.energy.FacingEnergyBlock;
import net.fabricmc.fabric.api.object.builder.v1.block.FabricBlockSettings;
import net.minecraft.block.Material;
import net.minecraft.block.MaterialColor;
import net.minecraft.block.entity.BlockEntity;
import net.minecraft.block.entity.BlockEntityType;

import java.util.function.Function;

public class ActiveBatteryControllerBlock extends FacingEnergyBlock {
    public ActiveBatteryControllerBlock() {
        super(FabricBlockSettings.of(Material.STONE, MaterialColor.ORANGE_TERRACOTTA).requiresTool().strength(1.5f, 6.0f));
    }

    @Override
    protected Function<BlockEntityType<BlockEntity>, BlockEntity> getFactory() {
        return ActiveBatteryControllerBlockEntity::new;
    }
}
