package com.thebrokenrail.energonrelics.block.reactor;

import com.thebrokenrail.energonrelics.block.entity.reactor.ReactorCoreBlockEntity;
import com.thebrokenrail.energonrelics.block.util.SimpleBlockWithEntity;
import net.fabricmc.fabric.api.object.builder.v1.block.FabricBlockSettings;
import net.minecraft.block.Material;
import net.minecraft.block.MaterialColor;
import net.minecraft.block.entity.BlockEntity;
import net.minecraft.block.entity.BlockEntityType;

import java.util.function.Function;

public class ReactorCoreBlock extends SimpleBlockWithEntity {
    public ReactorCoreBlock() {
        super(FabricBlockSettings.of(Material.STONE, MaterialColor.PURPLE_TERRACOTTA).requiresTool().strength(1.5f, 6.0f));
    }

    @Override
    protected Function<BlockEntityType<BlockEntity>, BlockEntity> getFactory() {
        return ReactorCoreBlockEntity::new;
    }
}
