package com.thebrokenrail.energonrelics.mixin;

import com.thebrokenrail.energonrelics.EnergonRelics;
import com.thebrokenrail.energonrelics.block.structure.StructureGeneratorBlock;
import net.minecraft.world.biome.Biome;
import net.minecraft.world.biome.GenerationSettings;
import net.minecraft.world.gen.GenerationStep;
import net.minecraft.world.gen.feature.DefaultBiomeFeatures;
import org.spongepowered.asm.mixin.Mixin;
import org.spongepowered.asm.mixin.injection.At;
import org.spongepowered.asm.mixin.injection.Inject;
import org.spongepowered.asm.mixin.injection.callback.CallbackInfo;

@Mixin(DefaultBiomeFeatures.class)
public class MixinDefaultBiomeFeatures {
    @Inject(at = @At("RETURN"), method = "addDefaultOres")
    private static void addDefaultOres(GenerationSettings.class_5495 arg, CallbackInfo info) {
        arg.method_30992(GenerationStep.Feature.UNDERGROUND_ORES, EnergonRelics.VERIDIUM_ORE_FEATURE);
    }

    @Inject(at = @At("RETURN"), method = "addDefaultUndergroundStructures")
    private static void addDefaultUndergroundStructures(GenerationSettings.class_5495 arg, CallbackInfo info) {
        StructureGeneratorBlock.addToBiome(arg);
    }
}
